Add-ons define features or top-ups that can be used to extend the functionality offered to the end user through their subscription's plan.
Type of object is always addon.
addon Unique identifier for the add-on.
"add_0SNlurA049MEWV4VxLfwJc7PJtHc"Indicates when a subscription add-on will take effect.
creation: As soon as it is created. The user does not need to take any further action.networkLatch: When the user's data session ends, which can be forced by power cycling the device.usageStarted: When the user starts using add-on allowance on their device."creation"creation networkLatch usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100null indicates that coverage is not applicable for this add-on.Time when the add-on was created .
"2021-01-21T19:12:28Z"The description of the add-on.
"Disable international roaming."Name for the add-on.
"1GB Data Top-up"The plans this add-on is compatible with.
The ID of the network provider supported by this add-on.
"p5"The recurrence type the add-on.
"oneTime"oneTime The current status of the add-on.
draft available archived The type of the add-on.
"topUp"topUp other {
"object": "addon",
"id": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": {
"0": "DE",
"1": "FR",
"2": "US"
},
"name": "Europe"
},
"createdAt": "2021-01-21T19:12:28.0Z",
"description": "Disable international roaming.",
"name": "1GB Data Top-up",
"plans": [
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
],
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"recurrenceType": "oneTime",
"status": "draft",
"type": "topUp",
"validity": {
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
List add-ons. By default only add-ons with a status of 'available' are returned.
A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200The ISO3166 alpha-2 country code to filter the add-ons by.
The provider of the add-on to be filtered by.
"p4"Limit the list of add-ons to those compatible with the given plan id.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"The status of the add-on to be filtered by.
"available"The type of the add-on to be filtered by.
"topUp"The recurrence type of the add-on to be filtered by.
"oneTime"Returns a dictionary with an items property that contains an array of add-ons.
Type of object is always list.
list addon.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/addons \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "addon",
"id": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:12:28Z",
"description": "Disable international roaming.",
"name": "1GB Data Top-up",
"plans": [
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
],
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"recurrenceType": "oneTime",
"status": "draft",
"type": "topUp",
"validity": {
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Returns the add-on object if it exists.
Type of object is always addon.
addon Unique identifier for the add-on.
"add_0SNlurA049MEWV4VxLfwJc7PJtHc"Indicates when a subscription add-on will take effect.
creation: As soon as it is created. The user does not need to take any further action.networkLatch: When the user's data session ends, which can be forced by power cycling the device.usageStarted: When the user starts using add-on allowance on their device."creation"creation networkLatch usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100null indicates that coverage is not applicable for this add-on.Time when the add-on was created .
"2021-01-21T19:12:28Z"The description of the add-on.
"Disable international roaming."Name for the add-on.
"1GB Data Top-up"The plans this add-on is compatible with.
The ID of the network provider supported by this add-on.
"p5"The recurrence type the add-on.
"oneTime"oneTime The current status of the add-on.
draft available archived The type of the add-on.
"topUp"topUp other curl https://api.gigs.com/projects/${GIGS_PROJECT}/addons/{addon} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "addon",
"id": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:12:28Z",
"description": "Disable international roaming.",
"name": "1GB Data Top-up",
"plans": [
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
],
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"recurrenceType": "oneTime",
"status": "draft",
"type": "topUp",
"validity": {
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Updates an add-on's name and description.
The name of the add-on, meant to be displayable to users.
"1GB Data Top-up"The description of the add-on.
"Disable international roaming."null to remove custom validity and fall back to network add-on validity.
If provided, must not exceed the network add-on's validity period.Returns the updated add-on.
Type of object is always addon.
addon Unique identifier for the add-on.
"add_0SNlurA049MEWV4VxLfwJc7PJtHc"Indicates when a subscription add-on will take effect.
creation: As soon as it is created. The user does not need to take any further action.networkLatch: When the user's data session ends, which can be forced by power cycling the device.usageStarted: When the user starts using add-on allowance on their device."creation"creation networkLatch usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100null indicates that coverage is not applicable for this add-on.Time when the add-on was created .
"2021-01-21T19:12:28Z"The description of the add-on.
"Disable international roaming."Name for the add-on.
"1GB Data Top-up"The plans this add-on is compatible with.
The ID of the network provider supported by this add-on.
"p5"The recurrence type the add-on.
"oneTime"oneTime The current status of the add-on.
draft available archived The type of the add-on.
"topUp"topUp other curl https://api.gigs.com/projects/${GIGS_PROJECT}/addons/{addon} \
-X PATCH \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"name": "1GB Data Top-up",
"description": "Disable international roaming.",
"validity": {
"unit": "day",
"value": 7
},
"metadata": {}
}'
{
"object": "addon",
"id": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:12:28Z",
"description": "Disable international roaming.",
"name": "1GB Data Top-up",
"plans": [
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
],
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"recurrenceType": "oneTime",
"status": "draft",
"type": "topUp",
"validity": {
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Set the status of an add-on to archived. An archived add-on can not be added to subscriptions.
Returns the archived add-on.
Type of object is always addon.
addon Unique identifier for the add-on.
"add_0SNlurA049MEWV4VxLfwJc7PJtHc"Indicates when a subscription add-on will take effect.
creation: As soon as it is created. The user does not need to take any further action.networkLatch: When the user's data session ends, which can be forced by power cycling the device.usageStarted: When the user starts using add-on allowance on their device."creation"creation networkLatch usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100null indicates that coverage is not applicable for this add-on.Time when the add-on was created .
"2021-01-21T19:12:28Z"The description of the add-on.
"Disable international roaming."Name for the add-on.
"1GB Data Top-up"The plans this add-on is compatible with.
The ID of the network provider supported by this add-on.
"p5"The recurrence type the add-on.
"oneTime"oneTime The current status of the add-on.
draft available archived The type of the add-on.
"topUp"topUp other curl https://api.gigs.com/projects/${GIGS_PROJECT}/addons/{addon}/archive \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "addon",
"id": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:12:28Z",
"description": "Disable international roaming.",
"name": "1GB Data Top-up",
"plans": [
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
],
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"recurrenceType": "oneTime",
"status": "draft",
"type": "topUp",
"validity": {
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Set the status of an add-on to available. Available add-ons can be added to subscriptions.
Returns the available add-on.
Type of object is always addon.
addon Unique identifier for the add-on.
"add_0SNlurA049MEWV4VxLfwJc7PJtHc"Indicates when a subscription add-on will take effect.
creation: As soon as it is created. The user does not need to take any further action.networkLatch: When the user's data session ends, which can be forced by power cycling the device.usageStarted: When the user starts using add-on allowance on their device."creation"creation networkLatch usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100null indicates that coverage is not applicable for this add-on.Time when the add-on was created .
"2021-01-21T19:12:28Z"The description of the add-on.
"Disable international roaming."Name for the add-on.
"1GB Data Top-up"The plans this add-on is compatible with.
The ID of the network provider supported by this add-on.
"p5"The recurrence type the add-on.
"oneTime"oneTime The current status of the add-on.
draft available archived The type of the add-on.
"topUp"topUp other curl https://api.gigs.com/projects/${GIGS_PROJECT}/addons/{addon}/publish \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "addon",
"id": "add_0SNlurA049MEWV4VxLfwJc7PJtHc",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:12:28Z",
"description": "Disable international roaming.",
"name": "1GB Data Top-up",
"plans": [
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
],
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"recurrenceType": "oneTime",
"status": "draft",
"type": "topUp",
"validity": {
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}